For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Fork this repoGet a demo
  • Get Started
    • Welcome
    • Concepts
    • SDKs
  • API Reference
      • POSTAdd a new plant to the store
      • PUTUpdate an existing plant
      • GETSearch plants by status
      • GETSearch plants by tags
      • GETFind plant by ID
LogoLogo
Fork this repoGet a demo
API Referenceplant

Update an existing plant

PUT
https://api.plantstore.dev/v3/plant
PUT
/v3/plant
$curl -X PUT https://api.plantstore.dev/v3/plant \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Fern",
> "category": "Indoor",
> "tags": [
> "green",
> "leafy"
> ],
> "status": "sold"
>}'
1{
2 "id": 101,
3 "name": "Fern",
4 "status": "sold",
5 "tags": [
6 "green",
7 "leafy"
8 ]
9}
Was this page helpful?
Previous

Search plants by status

Next
Built with

Request

Updated details of the plant
namestringOptional
categorystringOptional
tagslist of stringsOptional
statusenumOptional
Allowed values:

Response

Plant successfully updated
idinteger
namestring
statusstring
tagslist of strings

Errors

400
Bad Request Error
404
Not Found Error